<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
        android:id="@+id/report_cardview"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin2dp"
        card_view:cardBackgroundColor="@color/white"
        card_view:cardCornerRadius="@dimen/custom_margin"
        card_view:cardElevation="2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorPrimary"
                android:orientation="horizontal"
                android:weightSum="10">

                <TextView
                    android:id="@+id/txt_bar_code"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="10"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="Sku List Dialog"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/text_25dp"
                android:layout_marginTop="@dimen/text_margin_10dp"
                android:layout_marginRight="@dimen/text_25dp"
                android:layout_marginBottom="@dimen/text_margin_10dp"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/rl_invoice_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                   android:visibility="gone">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="8"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_margin"
                        android:text="Tap To Change Invoice Type"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_14sp"
                        android:layout_marginBottom="@dimen/custom_margin3dp"
                        android:textStyle="bold"/>
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="9"
                        android:layout_marginBottom="@dimen/text_margin_10dp">

                        <Button
                            android:id="@+id/btn_invoice_type_saleable"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/margin_30dp"
                            android:layout_gravity="center"
                            android:layout_marginRight="8dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:gravity="center"
                            android:text="Saleable"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_14sp"
                            android:textStyle="normal" />

                        <Button
                            android:id="@+id/btn_invoice_type_sample"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/margin_30dp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="8dp"
                            android:layout_marginRight="8dp"
                            android:layout_weight="3"
                            android:background="@drawable/round_btn_color_primary"
                            android:gravity="center"
                            android:text="Sample"
                            android:textAllCaps="false"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_14sp"
                            android:textStyle="normal" />

                        <Button
                            android:id="@+id/btn_invoice_type_gwp"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/margin_30dp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="8dp"
                            android:layout_weight="3"
                            android:background="@drawable/round_btn_color_primary"
                            android:gravity="center"
                            android:text="gwp"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_14sp"
                            android:textStyle="normal" />
                    </LinearLayout>

                </LinearLayout>


                <EditText
                    android:id="@+id/et_search"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/margin_30dp"
                    android:background="@drawable/rouded_corner_edt"
                    android:drawableStart="@android:drawable/ic_menu_search"
                    android:drawableLeft="@android:drawable/ic_menu_search"
                    android:imeOptions="actionDone"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <Spinner
                android:id="@+id/dialog_brand_spin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="@dimen/text_25dp"
                android:layout_marginTop="@dimen/text_margin_10dp"
                android:layout_marginRight="@dimen/text_25dp"
                android:layout_marginBottom="@dimen/text_margin_10dp"
                android:background="@drawable/rouded_corner_edt"
                android:padding="@dimen/custom_margin2dp"
                android:gravity="center"/>


            <Spinner
                android:id="@+id/dialog_subbrand_spin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="@dimen/text_25dp"
                android:layout_marginTop="@dimen/text_margin_10dp"
                android:layout_marginRight="@dimen/text_25dp"
                android:layout_marginBottom="@dimen/text_margin_10dp"
                android:background="@drawable/rouded_corner_edt"
                android:padding="@dimen/custom_margin2dp"
                android:gravity="center"/>


            <Spinner
                android:id="@+id/dialog_reference_spin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="@dimen/text_25dp"
                android:layout_marginTop="@dimen/text_margin_10dp"
                android:layout_marginRight="@dimen/text_25dp"
                android:layout_marginBottom="@dimen/text_margin_10dp"
                android:background="@drawable/rouded_corner_edt"
                android:padding="@dimen/custom_margin2dp"
                android:gravity="center"/>

            <Spinner
                android:id="@+id/dialog_product_spin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="@dimen/text_25dp"
                android:layout_marginTop="@dimen/text_margin_10dp"
                android:layout_marginRight="@dimen/text_25dp"
                android:layout_marginBottom="@dimen/text_margin_10dp"
                android:gravity="center"
                android:padding="@dimen/custom_margin2dp"
                android:background="@drawable/rouded_corner_edt" />

            <LinearLayout
                android:id="@+id/rl_actual_qty"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/text_14sp"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginRight="@dimen/text_14sp"
                android:orientation="horizontal"
                android:visibility="gone"
                android:weightSum="10">

                <TextView
                    android:id="@+id/txt_current_invoice_type"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="6.5"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/current_stock_saleable"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />


                <TextView
                    android:id="@+id/actual_qty_dialog"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="3.5"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text=""
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="bold" />
            </LinearLayout>


            <LinearLayout
                android:id="@+id/rl_actualreaturn_qty"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/text_25dp"
                android:layout_marginTop="@dimen/text_margin_10dp"
                android:layout_marginRight="@dimen/text_25dp"
                android:layout_marginBottom="@dimen/custom_margin"
                android:orientation="horizontal"
               android:visibility="gone"
                android:weightSum="10">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="6"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/current_stock_invoice_return"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />


                <EditText
                    android:id="@+id/edt_actual_qty_reaturn"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="4"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="0"
                    android:inputType="number"
                    android:maxLength="5"
                    android:hint="Invoice Actual Qty"
                    android:background="@drawable/rouded_corner_edt"
                    android:layout_marginLeft="@dimen/text22dp"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/rl_quantity"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:orientation="horizontal"
                android:weightSum="10">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="4"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="QTY"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/stock_img_minus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="2"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text=" - "
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/textsize_28sp" />

                <TextView
                    android:id="@+id/stock_text_value"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="2"
                    android:background="@color/white"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="0"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/stock_img_plus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="2"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text=" + "
                    android:textColor="@color/black"
                    android:textSize="@dimen/textsize_28sp" />

            </LinearLayout>


            <LinearLayout
                android:id="@+id/rl_return_reason"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/custom_margin"
                android:orientation="horizontal"
                android:visibility="gone"
                android:weightSum="10">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="4"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/return_reason"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_14sp"
                    android:textStyle="normal" />

                <Spinner
                    android:id="@+id/return_reason_spin"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="6"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin2dp"
                    android:background="@drawable/rouded_corner_edt" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/button_margin"
                android:orientation="horizontal"
                android:weightSum="10">

                <ImageView
                    android:id="@+id/cancet_btn"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/margin_30dp"
                    android:layout_weight="5"
                    android:gravity="center"
                    android:layout_gravity="center"
                    android:src="@mipmap/cancel_btn" />

                <ImageView
                    android:id="@+id/btn_add"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/margin_30dp"
                    android:layout_gravity="center"
                    android:layout_weight="5"
                    android:src="@mipmap/add_btn" />
            </LinearLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>
</LinearLayout>